#ifndef _LINE_H_
#define _LINE_H_

#include "part.h"

class Line : public Part {
public:

	static Line *lines;
	Line *nextline;	

	int sound;

	Line(float _xp, float _yp, float _rp, float _R);
	
	Line(float _xp, float _yp, float _xp2, float _yp2, int _sound);
	
	~Line();
	
	void point(float percent, float *x, float *y);
	
	bool ballcollision(class Ball *b, float *nx, float *ny, float *lx, float *ly, float *d);
	virtual void draw();	
};

extern Line *bottomref, *leftref, *rightref;

extern Line *left;
extern Line *right;
extern Line *lefttop;
extern Line *righttop;

#endif